org.apache.lucene.util

## Class Constants

- java.lang.Object
- - org.apache.lucene.util.Constants

-     public final class Constants
      extends java.lang.Object

  Some useful constants.
  Version:
    $Id: Constants.java 1029226 2010-10-30 23:56:08Z uschindler $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `JAVA_1_1` True iff this is Java version 1.1.
    `static boolean` | `JAVA_1_2` True iff this is Java version 1.2.
    `static boolean` | `JAVA_1_3` True iff this is Java version 1.3.
    `static java.lang.String` | `JAVA_VENDOR`
    `static java.lang.String` | `JAVA_VERSION` The value of `System.getProperty("java.version")`.``
    `static boolean` | `JRE_IS_64BIT`
    `static boolean` | `LINUX` True iff running on Linux.
    `static java.lang.String` | `LUCENE_MAIN_VERSION`
    `static java.lang.String` | `LUCENE_VERSION`
    `static java.lang.String` | `OS_ARCH`
    `static java.lang.String` | `OS_NAME` The value of `System.getProperty("os.name")`.``
    `static java.lang.String` | `OS_VERSION`
    `static boolean` | `SUN_OS` True iff running on SunOS.
    `static boolean` | `WINDOWS` True iff running on Windows.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVA_VERSION

          public static final java.lang.String JAVA_VERSION

      The value of `System.getProperty("java.version")`.``

    - #### JAVA_1_1

          public static final boolean JAVA_1_1

      True iff this is Java version 1.1.

    - #### JAVA_1_2

          public static final boolean JAVA_1_2

      True iff this is Java version 1.2.

    - #### JAVA_1_3

          public static final boolean JAVA_1_3

      True iff this is Java version 1.3.

    - #### OS_NAME

          public static final java.lang.String OS_NAME

      The value of `System.getProperty("os.name")`.``

    - #### LINUX

          public static final boolean LINUX

      True iff running on Linux.

    - #### WINDOWS

          public static final boolean WINDOWS

      True iff running on Windows.

    - #### SUN_OS

          public static final boolean SUN_OS

      True iff running on SunOS.

    - #### OS_ARCH

          public static final java.lang.String OS_ARCH

    - #### OS_VERSION

          public static final java.lang.String OS_VERSION

    - #### JAVA_VENDOR

          public static final java.lang.String JAVA_VENDOR

    - #### JRE_IS_64BIT

          public static final boolean JRE_IS_64BIT

    - #### LUCENE_MAIN_VERSION

          public static final java.lang.String LUCENE_MAIN_VERSION

    - #### LUCENE_VERSION

          public static final java.lang.String LUCENE_VERSION

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.